[gentoo-user-fr] pb avec version ndiswrapper supérieure à 1.44

Le
Laurent Artaud
Bonjour.

J'ai un portable Asus A6T avec une installation 64 bits.

Je parviens à faire marcher le wifi avec ndiswrapper-1.44 et des pilotes
64bits (bcmwl5 pour carte BCM4318).

Malheureusement, ça ne marche pas avec les versions supérieures de
ndiswrapper (la compilation marche, mais à l'exécution, il ne me
retrouve aucun point d'accès).

Si je reviens à la version 1.44, ça marche de nouveau

J'ai essayé de supprimer les pilotes (ndiswrapper -r) avant de les
réinstaller, et ça ne marche pas mieux.

Comme j'ai peur que la 1.44 disparaisse bientôt de l'arbre de portage,
j'aimerais savoir si quelqu'un d'autre à eu le problème et / ou sait
d'où ça vient et comment le corriger.

Merci d'avance.

--
Laurent ARTAUD (laurent.artaud@free.fr)
--
gentoo-user-fr@gentoo.org mailing list
Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos réponses
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
Pierre-Yves Rofes
Le #7802651
On Sun, August 19, 2007 10:46 am, Laurent Artaud wrote:
Bonjour.

J'ai un portable Asus A6T... avec une installation 64 bits.

Je parviens à faire marcher le wifi avec ndiswrapper-1.44 et des pilotes
64bits (bcmwl5 pour carte BCM4318).

Malheureusement, ça ne marche pas avec les versions supérieures de
ndiswrapper (la compilation marche, mais à l'exécution, il ne me
retrouve aucun point d'accès).

Si je reviens à la version 1.44, ça marche de nouveau...

J'ai essayé de supprimer les pilotes (ndiswrapper -r) avant de les
réinstaller, et ça ne marche pas mieux.

Comme j'ai peur que la 1.44 disparaisse bientôt de l'arbre de portage,
j'aimerais savoir si quelqu'un d'autre à eu le problème et / ou sait
d'où ça vient et comment le corriger.

Merci d'avance.




Bonjour,
je me rappelle qu'il y a environ 2 ans quand je voulais configurer le
wifi sur mon centrino, c'etait deja comme ca, la dernière version ne
marchait pas et il fallait en prendre une plus ancienne... Je ne sais pas
du tout a quoi c'est du.

Tout ce que je peux te conseiller, c'est de rajouter dans le fichier
/etc/portage/package.mask la ligne suivante:
net-wireless/ndiswrapper-1.44



Ca permettra de masquer les versions suivantes pour ce package et donc de
conserver la 1.44 lors d'un emerge world.

--
Pierre-Yves Rofes
Gentoo Linux Security Team

--
mailing list
Laurent Artaud
Le #7802641
Didier Link a écrit :


Ok, à priori tu peux ré-essayer sans soucis, le kernel du 2.6.22 tourne
au poil avec les 4318 ! J'en suis témoin depuis le kernel 2.6.16

Une remarque toutefois, la puissance de transmission des 4318 n'est pas
encore au top, les développeurs du driver y travaillent. Si j'ai bien
compris cette puce peu faire varier automatiquement sa puissance
d'émission et c'est ce mécanisme qui n'est pas encore implémenter, d'où
une puissance d'émission assez basse qui peut empêcher la connexion
avec le point d'accès s'il est trop loin. Sur ce point là la méthode
ndiswrapper a encore l'avantage mais pas pour longtemps !

Par contre il faudra juste penser à extraire un firmware avec
bcm43xx-fwcutter (il est dans l'arbre portage), si tu ne sais pas faire
tu peux voir toute la procédure là :

http://forums.gentoo.org/viewtopic-t-409194-postdays-0-postorder-asc-start-0.html

Si la langue anglaise te bloque n'hésites pas à demander ;)

A+ et bonne migration !! :)

Didier




La puissance de transmission va probablement me poser problème au
travail, mais je ne pourrais pas tester avant le 27, à l'hôtel, où le
relai est éloigné (et pas au même étage). Ici, je suis à 1,5m, donc
c'est pas vraiment parlant...

En attendant, si quelqu'un avait une idée sur ce qui pourrait poser
problème avec ndiswrapper, histoire d'avoir un secours si celui du noyau
ne marche pas.

--
Laurent ARTAUD ()
--
mailing list
Shakya
Le #7802631
--=-HK0E+lDsbIctZFWJ4eyE
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Le dimanche 19 août 2007 à 12:19 +0200, Laurent Artaud a écr it :
Shakya a écrit :
>
> Bonjour j'utilise aussi ndiswrapper
> Installed versions: 1.48_rc1(17:06:06 17.08.2007)(-debug kernel_linux
> usb)
>
> sur un portable asus A6K7M (donc une BCM4318 aussi)
> je te joins les pilotes win que j'utilise (comprenant le pilote
> ndiswrapper et le microcode au choix pour le pilote du bcm43xx du kerne l
> mais ce dernier ne fonctionne pas ou mal avec la bcm4318). Tout
> fonctionne chez moi avec ndiswrapper.
>
> Bonne journée à toi,
> Shakya

Merci pour les pilotes, malheureusement, c'est les mêmes que ceux qu e
j'utilise déjà (vérifié au "diff").

Il doit y avoir quelque chose d'autre qui cloche dans ma configuration.

--
Laurent ARTAUD ()




peux tu me transmettre ton /proc/config.gz stp ?

@ bientot
Shakya

--=-HK0E+lDsbIctZFWJ4eyE
Content-Type: application/pgp-signature; name=signature.asc
Content-Description: Ceci est une partie de message
=?ISO-8859-1?Q?numériquement?= =?ISO-8859-1?Q?_signée?
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.7 (GNU/Linux)

iD8DBQBGyDaQsEDV0gt+2W0RAhLxAJ0T7zbY6T7cxok8jqrbSVPg/dVgSACfSb2d
NBakOr1FPp0qmLYsuD8T5yY =+G9y
-----END PGP SIGNATURE-----

--=-HK0E+lDsbIctZFWJ4eyE--

--
mailing list
Laurent Artaud
Le #7802621
Shakya a écrit :

Bonjour j'utilise aussi ndiswrapper
Installed versions: 1.48_rc1(17:06:06 17.08.2007)(-debug kernel_linux
usb)

sur un portable asus A6K7M (donc une BCM4318 aussi)
je te joins les pilotes win que j'utilise (comprenant le pilote
ndiswrapper et le microcode au choix pour le pilote du bcm43xx du kernel
mais ce dernier ne fonctionne pas ou mal avec la bcm4318). Tout
fonctionne chez moi avec ndiswrapper.

Bonne journée à toi,
Shakya



Merci pour les pilotes, malheureusement, c'est les mêmes que ceux que
j'utilise déjà (vérifié au "diff").

Il doit y avoir quelque chose d'autre qui cloche dans ma configuration.

--
Laurent ARTAUD ()
--
mailing list
Shakya
Le #7802611
--=-TynItoQDhvIcI2HB/Kby
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Le dimanche 19 août 2007 à 14:41 +0200, Laurent Artaud a écr it :
Shakya a écrit :
>
>
> peux tu me transmettre ton /proc/config.gz stp ?
>
> @ bientot
> Shakya

J'ai essayé de faire des modprobe -r / modprobe ndiswrapper, reboot (des
fois que...) rien n'y fait.
(note: après le modprobe -r, j'ai aussi effacé ndiswrapper.ko m ais un
modprobe -l me le trouve quand même, est-ce que ça pourrait à ªtre la
cause des problèmes ?)

Voila le config.gz





je n'ai pas trouvé ds ton config.gz de section wireless nécé ssaires et
je ne comprends pas comment dans un tel cas ndiswrapper peut
compiler ... Voici ce que tu devrais amha avoir :

#
# Wireless
#
# CONFIG_CFG80211 is not set
CONFIG_WIRELESS_EXT=y
# CONFIG_MAC80211 is not set
CONFIG_IEEE80211=y
# CONFIG_IEEE80211_DEBUG is not set
CONFIG_IEEE80211_CRYPT_WEP=y
CONFIG_IEEE80211_CRYPT_CCMP=y
CONFIG_IEEE80211_CRYPT_TKIP=y
CONFIG_IEEE80211_SOFTMAC=y
# CONFIG_IEEE80211_SOFTMAC_DEBUG is not set
# CONFIG_RFKILL is not set

quel noyau utilises tu ?


--=-TynItoQDhvIcI2HB/Kby
Content-Type: application/pgp-signature; name=signature.asc
Content-Description: Ceci est une partie de message
=?ISO-8859-1?Q?numériquement?= =?ISO-8859-1?Q?_signée?
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.7 (GNU/Linux)

iD8DBQBGyEBesEDV0gt+2W0RAvc2AKCaaT7qvgWWV7FbgxrPulNhd6yNJwCdG1Sa
Dq+37DWFN9dqFpMkMe99syw =Q8sl
-----END PGP SIGNATURE-----

--=-TynItoQDhvIcI2HB/Kby--

--
mailing list
Laurent Artaud
Le #7802601
Shakya a écrit :
Le dimanche 19 août 2007 à 15:06 +0200, Shakya a écrit :
Le dimanche 19 août 2007 à 14:41 +0200, Laurent Artaud a écrit :
Shakya a écrit :

peux tu me transmettre ton /proc/config.gz stp ?

@ bientot
Shakya


J'ai essayé de faire des modprobe -r / modprobe ndiswrapper, reboot (des
fois que...) rien n'y fait.
(note: après le modprobe -r, j'ai aussi effacé ndiswrapper.ko mais un
modprobe -l me le trouve quand même, est-ce que ça pourrait être la
cause des problèmes ?)

Voila le config.gz




je n'ai pas trouvé ds ton config.gz de section wireless nécéssaires et
je ne comprends pas comment dans un tel cas ndiswrapper peut
compiler ... Voici ce que tu devrais amha avoir :

#
# Wireless
#
# CONFIG_CFG80211 is not set
CONFIG_WIRELESS_EXT=y
# CONFIG_MAC80211 is not set
CONFIG_IEEE80211=y
# CONFIG_IEEE80211_DEBUG is not set
CONFIG_IEEE80211_CRYPT_WEP=y
CONFIG_IEEE80211_CRYPT_CCMP=y
CONFIG_IEEE80211_CRYPT_TKIP=y
CONFIG_IEEE80211_SOFTMAC=y
# CONFIG_IEEE80211_SOFTMAC_DEBUG is not set
# CONFIG_RFKILL is not set

quel noyau utilises tu ?



arf au temps pour moi il est ds l'entete... active donc ces options et
ca devrait mieux fonctionner.

Bien à toi,
Shakya




Et c'est parti pour une recompil noyau!
(notez bien que avec 1.44, ça, ça marche...)

Je vous tiens au courant.

Merci.

--
Laurent ARTAUD ()
--
mailing list
Shakya
Le #7802591
--=-w4XwAm3hfS8POAYCBRlr
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Le dimanche 19 août 2007 à 15:06 +0200, Shakya a écrit :
Le dimanche 19 août 2007 à 14:41 +0200, Laurent Artaud a é crit :
> Shakya a écrit :
> >
> >
> > peux tu me transmettre ton /proc/config.gz stp ?
> >
> > @ bientot
> > Shakya
>
> J'ai essayé de faire des modprobe -r / modprobe ndiswrapper, reboo t (des
> fois que...) rien n'y fait.
> (note: après le modprobe -r, j'ai aussi effacé ndiswrapper.ko mais un
> modprobe -l me le trouve quand même, est-ce que ça pourrait être la
> cause des problèmes ?)
>
> Voila le config.gz
>


je n'ai pas trouvé ds ton config.gz de section wireless nécà ©ssaires et
je ne comprends pas comment dans un tel cas ndiswrapper peut
compiler ... Voici ce que tu devrais amha avoir :

#
# Wireless
#
# CONFIG_CFG80211 is not set
CONFIG_WIRELESS_EXT=y
# CONFIG_MAC80211 is not set
CONFIG_IEEE80211=y
# CONFIG_IEEE80211_DEBUG is not set
CONFIG_IEEE80211_CRYPT_WEP=y
CONFIG_IEEE80211_CRYPT_CCMP=y
CONFIG_IEEE80211_CRYPT_TKIP=y
CONFIG_IEEE80211_SOFTMAC=y
# CONFIG_IEEE80211_SOFTMAC_DEBUG is not set
# CONFIG_RFKILL is not set

quel noyau utilises tu ?



arf au temps pour moi il est ds l'entete... active donc ces options et
ca devrait mieux fonctionner.

Bien à toi,
Shakya


--=-w4XwAm3hfS8POAYCBRlr
Content-Type: application/pgp-signature; name=signature.asc
Content-Description: Ceci est une partie de message
=?ISO-8859-1?Q?numériquement?= =?ISO-8859-1?Q?_signée?
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.7 (GNU/Linux)

iD8DBQBGyEF4sEDV0gt+2W0RAgomAJ0VjH2uR6eLLLGpuGOIMWiMnFiYEgCfT0++
zquLyVCs6MVYcnA9/i7yl2c =jKEh
-----END PGP SIGNATURE-----

--=-w4XwAm3hfS8POAYCBRlr--

--
mailing list
Laurent Artaud
Le #7802581
Laurent Artaud a écrit :


Et c'est parti pour une recompil noyau!
(notez bien que avec 1.44, ça, ça marche...)

Je vous tiens au courant.

Merci.




Ouais... ben je vais rester avec ndiswrapper 1.44, noyau 2.6.20 parce
que le pilote r1000 (carte ethernet) marche pas avec la 2.6.22, la
dernière version stable d'alsa compile pas et j'ai toujours une erreur
de ndiswrapper qui me dit qu'il fonctionne qu'avec Wireless Extension
jusqu'à la version 20 et que j'ai maintenant la 22!!! J'en ai marre!

Ça fait juste 10 fois que je redémarre le portable aujourd'hui et ça
suffit!!!

Merci à tous pour votre aide.

(notez que les options suggérées par Shakya sont les options de compil
par défaut du 2.6.22, et que certaines sont manquantes dans 2.6.20)

--
Laurent ARTAUD ()
--
mailing list
Publicité
Poster une réponse
Anonyme